.pagination {  
    display: table;
    margin: 0 auto;
    height: 40px;  
}  
.pagination ul {  
    border-radius: 3px 3px 3px 3px;  
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);  
    display: inline-block;  
    margin-bottom: 0;  
    margin-left: 0;  
}  
.pagination li {  
    display: inline;  
}  
.pagination a, .pagination span {  
    -moz-border-bottom-colors: none;  
    -moz-border-left-colors: none;  
    -moz-border-right-colors: none;  
    -moz-border-top-colors: none;  
    background-color: #FFFFFF;  
    border-color: #DDDDDD;  
    border-image: none;  
    border-style: solid;  
    border-width: 1px 1px 1px 0;  
    float: left;  
    line-height: 38px;  
    padding: 0 14px;  
    text-decoration: none;  
}  
.pagination a:hover, .pagination .active a, .pagination .active span {  
    background-color: #F5F5F5;  
}  
.pagination .active a, .pagination .active span {  
    color: #999999;  
    cursor: default;  
}  
.pagination .disabled span, .pagination .disabled a, .pagination .disabled a:hover {  
    background-color: transparent;  
    color: #999999;  
    cursor: default;  
}  
.pagination li:first-child a, .pagination li:first-child span {  
    border-left-width: 1px;  
    border-radius: 3px 0 0 3px;  
}  
.pagination li:last-child a, .pagination li:last-child span {  
    border-radius: 0 3px 3px 0;  
}  
.pagination-centered {  
    text-align: center;  
}  
.pagination-right {  
    text-align: right;  
}
